FROM python:3.11-slim as docsbuilder

WORKDIR /build
COPY ci/docs.requirements.txt /build/
RUN pip install -r /build/docs.requirements.txt

COPY docs /build/docs
COPY mkdocs.yaml /build
RUN mkdocs build

FROM golang:1.20.2-alpine3.17 AS gobuilder
WORKDIR $GOPATH/src/debugci
COPY hello_world .
RUN go build -ldflags="-w -s" -o /go/bin/hello_world hello_world.go

FROM nginx:1.23.3
COPY ci/nginx.conf /etc/nginx/conf.d/default.conf
COPY --from=gobuilder /go/bin/hello_world /var/www/html/hello_world_v1
COPY --from=docsbuilder /build/site /var/www/html
