---
title: Usage in GitLab CI
---

# Usage in GitLab CI

## Inject debugci binary using artifacts (recommended)

Add a new CI job in one of your first stages

```yaml
debugci:
  stage: YOUR_STAGE
  image: sauerburger/debugci:0.3.0
  variables:
    GIT_STRATEGY: none
  script:
  - cp /bin/debugci .
  artifacts:
    paths:
    - debugci
    expire_in: 1d
```


```yaml
your_job:
  # Other settings
  stage: YOUR_STAGE
  needs:
    - job: debugci  # Injects binary
      artifacts: true
  script:
    - trap ./debugci ERR
    - # Rest of your job
```

Create the following secret CI variables

- `DCI_RENDEZVOUS` user@host:port of the rendezvous server.
- `DCI_PRIVATE_KEY` Private SSH key to log in to rendezcous server. The key is also used as server public key.
- `DCI_AUTHORIZED_KEY` Public SSH key to grant access to the debug server.
